<!doctype html>
<!--[if IE 9]><html class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html class="no-js"> <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge"> 

  {% if settings.favicon %}
    <link rel="shortcut icon" href="{{ settings.favicon | img_url: '32x32' }}" type="image/png" />
  {% endif %}
 
  <title>
    {{ page_title }}{% if current_tags %} &ndash; tagged "{{ current_tags | join: ', ' }}"{% endif %}{% if current_page != 1 %} &ndash; {{ current_page }}{% endif %}{% unless page_title contains shop.name %} &ndash; {{ shop.name }}{% endunless %}
  </title>

  {% if page_description %}
    <meta name="description" content="{{ page_description | escape }}">
  {% endif %}

  {% include 'social_meta' %}

  <link rel="canonical" href="{{ canonical_url }}">

  {{ 'css_main.scss.css' | asset_url | stylesheet_tag }}
  {{ 'custom.css' | asset_url | stylesheet_tag }}

  {{ content_for_header }}

  <script type="text/javascript">
    window.start = Date.now();
  </script>

  {{ '//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js' | script_tag }}

  {% if template contains 'customers' %}
    {{ 'shopify_common.js' | shopify_asset_url | script_tag }}
  {% endif %}

  <noscript>
    {{ 'css_noscript.scss.css' | asset_url | stylesheet_tag }}
  </noscript>

  {{ 'js_product.js' | asset_url | script_tag }}
  
  {{ 'jquery.waypoints.min.js?1644' | asset_url | script_tag }}
  {{ 'jquery.appear.min.js' | asset_url | script_tag }}
  
  
</head>

<body id="{{ page_title | handle }}" class="{% if customer %}customer-logged-in {% endif %}template-{{ template.name }} template-{{ template | replace: '.', ' ' | handle }}">

  <svg class="cursor js-cursor" width="22px" height="30px" viewBox="0 0 22 30" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
    <g id="Variant-Malibu" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
        <g id="D_Variant_Home" transform="translate(-270.000000, -2092.000000)" fill="#000000">
            <g id="Icon/Cursor" transform="translate(266.000000, 2092.000000)">
                <polygon fill="#fff" id="Path-12" points="4.5 0 4.5 30 25.5 30"></polygon>
            </g>
        </g>
    </g>
</svg>
  
  {% section 'header' %}

  <main class="wrapper main-content" id="main" role="main">
    
    {{ content_for_layout }}
  
    {% section 'footer' %}

  </main>

  <div id="site-overlay" class="site-overlay"></div>

  {{ 'js_plugins.min.js' | asset_url | script_tag }}

  {% capture jQuery_arrow_down %} {% include "asset_svg" with "arrow_icon" %} {% endcapture %}
  {% capture jQuery_arrow_right %} {% include "asset_svg" with "arrow_icon_smaller" %} {% endcapture %}
  {% capture jQuery_icon_heart %} {% include "asset_svg" with "heart_icon" %} {% endcapture %}
  {% capture jQuery_icon_twitter %} {% include "asset_svg" with "twitter_icon" %} {% endcapture %}
  {% capture jQuery_icon_instagram %} {% include "asset_svg" with "social_instagram" %} {% endcapture %}
  {% capture jQuery_icon_zoom %} {% include "asset_svg" with "zoom_out_icon" %} {% endcapture %}

  <script type="text/javascript">
    jQuery.themeAssets = {
      arrowDown: '{{ jQuery_arrow_down | lstrip | rstrip }}',
      arrowRight: '{{ jQuery_arrow_right | lstrip | rstrip }}',
      iconHeart: '{{ jQuery_icon_heart | lstrip | rstrip }}',
      iconTwitter: '{{ jQuery_icon_twitter | lstrip | rstrip }}',
      iconInstagram: '{{ jQuery_icon_instagram | lstrip | rstrip }}',
      iconZoom: '{{ jQuery_icon_zoom | lstrip | rstrip }}'
    };
    jQuery.themeCartSettings = '{{ settings.cart_action }}';
  </script>

  <script type="text/javascript">

    window.shop_money_format = "{{ shop.money_format }}";

    window.product_words_add_to_cart_button = "{{ 'product.add_to_cart' | t }}";
    window.product_words_sold_out_variant = "{{ 'product.inventory.sold_out_variant' | t }}";
    window.product_words_unavailable_variant = "{{ 'product.inventory.unavailable_variant' | t }}";
    window.product_words_one_product = "{{ 'product.inventory.one_product' | t }}";
    window.product_words_few_products = "{{ 'product.inventory.few_products' | t }}";
    window.product_words_no_products = "{{ 'product.inventory.no_products' | t }}";
    window.product_words_preorder = "{{ 'product.inventory.preoder' | t }}";

    window.show_preloader = "{{ settings.show_preloader }}";

  </script>

  {{ 'js_main.js' | asset_url | script_tag }}

  {% section 'popup' %}
  
  {% if settings.thumb_resize == 'fit' %}
    <style type="text/css">
      .box__collection .box--product-image {
        width: 84%;
        height: 84%;
        margin: 8%;
      }
      .box__collection .box--product-image img {
        height: 100%;
        width: 100%;
        position: absolute;
        object-fit: contain !important;
        font-family: "object-fit: contain" !important;
      }
    </style>
  {% endif %}

  <script>
  /*Invert Cursor*/

function isMobile() {
  if ((window.innerWidth <= 700)) {
    return true;
  } else {
    return false;
  }
  
}

document.addEventListener('DOMContentLoaded', function () {
  InvertCursor.init();
});

var InvertCursor = {
  testFunction: function () {
    console.log('kodo.house');
  },
  
  settings: {
    minDesktopWidth: 1025
  },
  
  vars: {
    isMobile: this.isMobile()
  },
  
  elements: {
    $window: $(window)
  },
  
  cursor: {
    $cursorEl: $('.js-cursor'),
    cursorTimeout: null,
    hidden: true,
    wasHidden: true,
    
    init: function () {
      
      
      this.$cursorEl.css({
                opacity: this.hidden ? 0 : 1
            });

            if(this.hidden !== this.wasHidden){
                this.wasHidden = this.hidden;
            }
      
            
      $(window).on('mousemove', this.followCursor)
//       this.viewCursor(); // this function doesnt exist
      
      // implement mouse leave (window) and hide it then
      
      function addEvent(obj, evt, fn) {
          if (obj.addEventListener) {
              obj.addEventListener(evt, fn, false);
          }
          else if (obj.attachEvent) {
              obj.attachEvent("on" + evt, fn);
          }
      }
      addEvent(document, "mouseout", function(e) {
        e = e ? e : window.event;
        var from = e.relatedTarget || e.toElement;
        if (!from || from.nodeName == "HTML") {
          InvertCursor.cursor.hidden = true;
          InvertCursor.cursor.$cursorEl.css({
            opacity: 0,
          });
        }
      });
      
    },
    
    followCursor: function (e) {
      
      var posX = e.clientX;
      var posY = e.clientY;

      // actual cursor size values
      var cursor = {
        width: 20,
        height: 24,
      }

      var x = posX;
      var y = posY + cursor.height / 2;
      var opacity = 1;

      if (InvertCursor.cursor.wasHidden && !InvertCursor.cursor.hidden) { // if cursor was hidden, but now its not
        opacity = 1;
        InvertCursor.cursor.wasHidden = false;
      } else if ( !InvertCursor.cursor.wasHidden && InvertCursor.cursor.hidden){ // if cursor was visible, but now is hidden
        InvertCursor.cursor.wasHidden = true;
        opacity = 0;
      }

      InvertCursor.cursor.$cursorEl.css({
        left: x,
        top: y,
        opacity: opacity
      });
      
     
    },
    
  },
  
  init: function () {
    !InvertCursor.vars.isMobile && InvertCursor.cursor.init();
  }
};
/*End Invert Cursor*/
    
  </script>

</body>
</html>